﻿.ck-editor__editable {
    min-height: 620px;
    max-height: 75vh;
}

.vacancy-modal {
    position: fixed;
    inset: 0;
    z-index: 999999999999999;
    background: rgba(0,0,0,0.72);
    overflow-y: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    -webkit-overflow-scrolling: touch;
}

.vacancy-modal-body {
    width: min(1400px, 96%);
    width: 100%;
    min-height: 100vh;
    background: white;
    display: flex;
    gap: 20px;
    padding: 20px;
    box-sizing: border-box;
}

.vacancy-main-column {
    flex: 1;
    min-width: 0;
    display: flex;
    flex-direction: column;
}

.vacancy-side-column {
    width: 350px;
    flex-shrink: 0;
    border-left: 1px solid #ececec;
    padding: 14px 20px;
}

.vacancy-modal-title {
    margin-bottom: 20px;
}

.vacancy-layout {
    display: flex;
    gap: 24px;
    align-items: flex-start;
}

.vacancy-description-column {
    flex: 1;
    min-width: 0;
}

.vacancy-settings-column {
    width: 320px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    gap: 14px;
    background: #fafafa;
    border: 1px solid #ececec;
    border-radius: 16px;
    padding: 0px 0px 0px 10px;
}

#vacancyDescription {
    min-height: 620px;
    resize: vertical;
}

.vacancy-field {
    display: flex;
    flex-direction: column;
}

    .vacancy-field.full {
        grid-column: 1 / -1;
    }

    .vacancy-field label {
        margin-bottom: 6px;
        font-size: 14px;
        font-weight: 600;
    }

    .vacancy-field input,
    .vacancy-field textarea,
    .vacancy-field select {
        width: 100%;
        padding: 12px;
        border: 1px solid #b3b3b387;
        border-radius: 10px;
        font-size: 15px;
        box-sizing: border-box;
        background-color: #ededed;
    }

    .vacancy-field textarea {
        min-height: 180px;
        resize: vertical;
    }

.vacancy-checkboxes {
    display: flex;
    gap: 20px;
}

.contact-row {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

    .contact-row select,
    .contact-row input {
        padding: 10px;
        border-radius: 10px;
        border: 1px solid #dcdcdc;
    }

    .contact-row select {
        width: 130px;
    }

    .contact-row input {
        flex: 1;
    }

.publish-btn,
#addContactBtn {
    width: 100%;
    padding: 14px;
    border: none;
    border-radius: 12px;
    cursor: pointer;
    margin-top: 14px;
    font-size: 16px;
    font-weight: 600;
}

.publish-btn {
    background: #0d6efd;
    color: white;
    position: fixed;
    bottom: 0px;
    right: 0px;
    width: 200px;
    margin: 20px;
}

#addContactBtn {
    background: #f0f0f0;
}

.close-more-m {
    position: fixed;
    top: 15px;
    right: 15px;
    width: 42px;
    height: 42px;
    border-radius: 999px;
    border: 1px solid #bfbfbf73;
    cursor: pointer;
    background: #c8c8c896;
    z-index: 9999999999999999;
}

    .close-more-m::before,
    .close-more-m::after {
        content: '';
        position: absolute;
        top: 50%;
        left: 50%;
        width: 18px;
        height: 2px;
        background: #222;
        transform-origin: center;
    }

    .close-more-m::before {
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .close-more-m::after {
        transform: translate(-50%, -50%) rotate(-45deg);
    }

#contactsContainer {
    margin-top: 15px;
}

#vacancyTitle {
    font-size: 20px;
    font-weight: 500;
    padding: 8px 10px 9px 10px;
    background-color: #ededed;
    color: #0d6efd;
}
    #vacancyTitle::placeholder {
        opacity: .5;
    }


.vacancy-title-progress-wrapper, .vacancy-description-progress-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: -15px;
    font-size: 12px;
    opacity: 0.8;
}

.vacancy-progress {
    flex: 1;
    height: 2px;
    background: #ececec;
    border-radius: 999px;
    overflow: hidden;
}

.vacancy-progress-bar {
    height: 100%;
    width: 0%;
    transition: width .2s ease, background .2s ease;
    background: #198754;
}

.vacancy-check {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    padding: 10px 14px;
    border-radius: 14px;
    cursor: pointer;
    transition: background .2s ease, color .2s ease, border-color .2s ease, transform .15s ease;
    user-select: none;
    border: 1px solid #dcdcdc;
    background: white;
}

    .vacancy-check:hover {
        transform: translateY(-1px);
    }


    /* скрываем стандартный checkbox */

    .vacancy-check input {
        display: none;
    }


/* URGENT */

.urgent-check {
    border-color: #dc3545;
    color: #dc3545;
}

    .urgent-check.active {
        background: #dc3545;
        color: white;
    }


/* RESUME */

.resume-check {
    border-color: #0d6efd;
    color: #0d6efd;
}

    .resume-check.active {
        background: #0d6efd;
        color: white;
    }
.vacancy-check span::before {
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 999px;
    border: 2px solid currentColor;
    display: inline-block;
    margin-right: 8px;
}

.contact-row {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
    transition: all .2s ease;
}

.contact-row-inner {
    display: flex;
    gap: 10px;
    width: 100%;
    align-items: center;
}

.remove-contact-btn {
    width: 34px;
    height: 34px;
    border-radius: 8px;
    border: 1px solid #dc3545;
    background: #fff;
    color: #dc3545;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    line-height: 1;
    transition: .15s ease;
}

    .remove-contact-btn:hover {
        background: #dc3545;
        color: #fff;
    }

    .contact-row.removing {
        opacity: 0;
        transform: translateX(10px);
    }

.vacancy-check.active span::before {
    background: currentColor;
}


.vacancy-modal.ck.ck-editor__main > .ck-editor__editable:not(.ck-focused) {
    border-color: var(--ck-color-base-border);
    background-color: #ededed;
}

#vacancyToastContainer {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999999999;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center; /* важно для ширины тостов */
    text-align: center;
}

.vacancy-toast {
    min-width: 280px;
    max-width: 360px;
    padding: 12px 14px;
    border-radius: 10px;
    color: #fff;
    font-size: 14px;
    box-shadow: 0 10px 25px rgba(0,0,0,.2);
    animation: fadeIn .2s ease;
}

    .vacancy-toast.error {
        background: #dc3545;
    }

    .vacancy-toast.success {
        background: #198754;
    }

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(20px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.publish-btn.disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

/* MOBILE */

@media (max-width: 980px) {

    .ck-editor__editable {
        min-height: 260px;
        max-height: none;
    }

    .vacancy-modal-body {
        flex-direction: column;
        padding: 70px 14px 30px;
    }

    .vacancy-side-column {
        width: 100%;
        border-left: none;
        border-top: 1px solid #ececec;
        padding-left: 0;
        padding-top: 20px;
    }

    .vacancy-layout {
        flex-direction: column;
    }

    .vacancy-settings-column {
        width: 100%;
    }

    #vacancyDescription {
        min-height: 260px;
    }
}
